Loading...
Searching...
No Matches
LCM.LCM.LCMEncodable Interface Reference

A message which can be easily sent using LCM. More...

## Public Member Functions

void | Encode (LCMDataOutputStream outs)
| Invoked by LCM.
void | _encodeRecursive (LCMDataOutputStream outs)
| Encode the data without the magic header. Most users will never use this function.
void | _decodeRecursive (LCMDataInputStream ins)
| Decode the data without the magic header. Most users will never use this function.

## Detailed Description

A message which can be easily sent using LCM.

## Member Function Documentation

## _decodeRecursive()

void LCM.LCM.LCMEncodable._decodeRecursive | ( | LCMDataInputStream | ins | ) |

Decode the data without the magic header. Most users will never use this function.

Parameters

  ins |

## _encodeRecursive()

void LCM.LCM.LCMEncodable._encodeRecursive | ( | LCMDataOutputStream | outs | ) |

Encode the data without the magic header. Most users will never use this function.

Parameters

  outs |

## Encode()

void LCM.LCM.LCMEncodable.Encode | ( | LCMDataOutputStream | outs | ) |

Invoked by LCM.

Parameters

  outs | any data to be sent should be written to this output stream.

The documentation for this interface was generated from the following file:

- lcm/lcm/LCMEncodable.cs